function init(hero) {
    hero.setName("Moon Knight");
    hero.setTier(8);

    hero.setHelmet("item.superhero_armor.piece.cowl");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addPowers("pack:khonshu", "fiskheroes:cellular_regeneration", "pack:blades");
    hero.addAttribute("PUNCH_DAMAGE", 10, 0);
      hero.addAttribute("WEAPON_DAMAGE", 6, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.8, 0);
    hero.addAttribute("FALL_RESISTANCE", 55.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.75, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);

	
	
 hero.addKeyBind("BLADE", "Khonshu's Knuckles", 3);
    hero.addKeyBind("UTILITY_BELT", "Throwing Darts", 1);
    hero.addKeyBind("WEB_ZIP", "Bandage Zip", 2);
  hero.addAttributeProfile("CLAWS", clawsProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("CLAWS", {"types": {"SHARP": 1.0}});
}

function clawsProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 17, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "CLAWS" : null;
}

